Jump to content


Photo

building enigma2


  • Please log in to reply
3 replies to this topic

#1 meatop

  • Member
  • 13 posts

0
Neutral

Posted 22 December 2019 - 13:46

Hi,

 

I've checked out https://github.com/OpenPLi/enigma2.git and said ./autogen.sh && ./configure.

 

This fails with:

 

checking for TUXTXT... no
configure: error: Package requirements (tuxbox-tuxtxt) were not met:

Package 'tuxbox-tuxtxt', required by 'virtual:world', not found
 

How can I fix this?

 

Thanks!

 

    Michael

 



Re: building enigma2 #2 athoik

  • PLi® Core member
  • 8,005 posts

+300
Excellent

Posted 22 December 2019 - 13:55

See how it's done on CI.

https://github.com/O...lop/.travis.yml
Wavefield T90: 0.8W - 1.9E - 4.8E - 13E - 16E - 19.2E - 23.5E - 26E - 33E - 39E - 42E - 45E on EMP Centauri DiseqC 16/1
Unamed: 13E Quattro - 9E Quattro on IKUSI MS-0916

Re: building enigma2 #3 meatop

  • Member
  • 13 posts

0
Neutral

Posted 22 December 2019 - 14:01

Good approach, didn't think of this. Thanks!

 

 - Michael



Re: building enigma2 #4 betacentauri

  • PLi® Core member
  • 5,813 posts

+261
Excellent

Posted 22 December 2019 - 15:44

Do you want to compile it for a Linux PC or for your satellite receiver? If second, you need a cross compiler and you should look at normal PLi build environment.
Xtrend ET-9200, ET-8000, ET-10000, OpenPliPC on Ubuntu 12.04




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users